# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Ray Class Reference

The Ray class defines a ray as an origin and direction using Real precision. More...

`#include <Ray.hpp>`

List of all members.

## Public Member Functions
const vec3 & | direction () const
const vec3 & | origin () const
void | setDirection (const vec3 &dir)
void | setOrigin (const vec3 &orig)
## Protected Attributes
vec3 | mDirection
vec3 | mOrigin

## Detailed Description

The Ray class defines a ray as an origin and direction using Real precision.

## Member Function Documentation

const vec3& vl::Ray::direction | ( |  | ) | const`[inline]`

const vec3& vl::Ray::origin | ( |  | ) | const`[inline]`

void vl::Ray::setDirection | ( | const vec3 & | dir | ) | `[inline]`

void vl::Ray::setOrigin | ( | const vec3 & | orig | ) | `[inline]`

## Member Data Documentation

vec3 vl::Ray::mDirection`[protected]`

vec3 vl::Ray::mOrigin`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Ray.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:01 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.